Home
Reading
Searching
Subscribe
Sponsors
Statistics
Posting
Contact
Spam
Lists
Links
About
Hosting
Filtering
Features Download
Marketing
Archives
FAQ
Blog
 
Gmane
From: Daniel Lo Nigro <lists <at> dan.cx>
Subject: Re: error while installing fail2ban on Debian
Newsgroups: gmane.comp.web.cherokee.general
Date: Sunday 25th March 2012 01:17:57 UTC (over 5 years ago)
Where did you install Cherokee from? The Debian package, or did you make
your own package?

On Sun, Mar 25, 2012 at 4:40 AM, jl.informatique <
[email protected]> wrote:

> Hello,
>
> I have the following error when I try to install fail2ban on debian
squeeze
> (apt-get install fail2ban):
>
>
> insserv: warning: script 'S98cherkee-opt' missing LSB tags and overrides
> insserv: warning: script 'cherokee-opt' missing LSB tags and overrides
> insserv: There is a loop at service cherkee-opt if started
> insserv: There is a loop between service rc.local and checkroot if
started
> insserv:  loop involving service checkroot at depth 4
> insserv:  loop involving service hwclockfirst at depth 3
> insserv:  loop involving service hwclock at depth 6
> insserv:  loop involving service hostname at depth 4
> insserv:  loop involving service module-init-tools at depth 6
> insserv: There is a loop between service rc.local and mountnfs if started
> insserv:  loop involving service mountnfs at depth 9
> insserv:  loop involving service networking at depth 8
> insserv: Starting cherokee-opt depends on rc.local and therefore on
system
> facility `$all' which can not be true!
> insserv: Starting cherokee-opt depends on rc.local and therefore on
system
> facility `$all' which can not be true!
> ....
> insserv: Starting cherokee-opt depends on rc.local and therefore on
system
> facility `$all' which can not be true!
> insserv: Max recursions depth 99 reached
> insserv: Starting cherokee-opt depends on rc.local and therefore on
system
> facility `$all' which can not be true!
> insserv:  loop involving service apache2 at depth 10
> insserv: There is a loop between service rc.local and ifupdown-clean if
> started
> insserv:  loop involving service ifupdown-clean at depth 6
> insserv: There is a loop between service rc.local and mountall if started
> insserv:  loop involving service mountall at depth 7
> insserv:  loop involving service checkfs at depth 6
> insserv:  loop involving service mtab at depth 6
> insserv: There is a loop at service rc.local if started
> insserv:  loop involving service quota at depth 11
> insserv:  loop involving service portmap at depth 9
> insserv: Starting cherokee-opt depends on rc.local and therefore on
system
> facility `$all' which can not be true!
> ...
> insserv: Starting cherokee-opt depends on rc.local and therefore on
system
> facility `$all' which can not be true!
> insserv: There is a loop between service cherkee-opt and udev if started
> insserv:  loop involving service udev at depth 2
> insserv:  loop involving service mountkernfs at depth 1
> insserv: Starting cherokee-opt depends on rc.local and therefore on
system
> facility `$all' which can not be true!
> insserv: Starting cherokee-opt depends on rc.local and therefore on
system
> facility `$all' which can not be true!
> insserv: Starting cherokee-opt depends on rc.local and therefore on
system
> facility `$all' which can not be true!
> insserv: Starting cherokee-opt depends on rc.local and therefore on
system
> facility `$all' which can not be true!
> insserv: Starting cherokee-opt depends on rc.local and therefore on
system
> facility `$all' which can not be true!
> insserv: There is a loop between service rc.local and mountall-bootclean
if
> started
> insserv:  loop involving service mountall-bootclean at depth 1
> insserv: Starting cherokee-opt depends on rc.local and therefore on
system
> facility `$all' which can not be true!
> ...
> insserv: Starting cherokee-opt depends on rc.local and therefore on
system
> facility `$all' which can not be true!
> insserv: exiting now without changing boot order!
> update-rc.d: error: insserv rejected the script header
> dpkg: error processing fail2ban (--configure):
>  subprocess installed post-installation script returned error exit status
1
> configured to not write apport reports
>                                      Processing triggers for
python-central
> ...
> Errors were encountered while processing:
>  fail2ban
> E: Sub-process /usr/bin/dpkg returned an error code (1)
>
>
>
> The cherokee version is  Cherokee Web Server 1.2.101.
>
> Can you help me avoiding these error messages?
>
> Thank you
> Jérôme
>
>
>
> --
> View this message in context:
> http://cherokee-web-server-general.1049476.n5.nabble.com/error-while-installing-fail2ban-on-Debian-tp5592028p5592028.html
> Sent from the Cherokee Web Server - General mailing list archive at
> Nabble.com.
> _______________________________________________
> Cherokee mailing list
> [email protected]
> http://lists.octality.com/listinfo/cherokee
>
 
CD: 3ms